Subject: Re: bug#22550: (require 'magit) produces error: "no such file or directory" "dash"

From: Alex Kost <[email-masked]>
Date: Thu, 24 Mar 2016 19:20:48 +0300

Alex Kost (2016-03-07 12:14 +0300) wrote:

> myglc2 (2016-03-06 17:47 +0300) wrote:
>
>> Alex Kost <[email-masked]> writes:
>> [...]
>>>> So, should I put ...
>>>>
>>>> '(guix-emacs-load-autoloads "/run/current-system/profile")'
>>>>
>>>> ... in init.el, in which case guix INFO should say so.
>>>
>>> Well, you can do it as a temporary workaround, but we'll fix it soon (I
>>> mean the system profile will also be inspected for emacs packages), so
>>> it will not be necessary in the closest future.
>>
>> Hi Alex. Tried removing this and got 'command-execute: Symbol's function
>> definition is void: magit-status'  Shouldn't it be fixed by now?
>
> No, I mean it is fixed in the current master, but as I wrote¹ it will
> take effect only after we update our "guix" package.  Currently it is
> "guix-devel" package at commit c3f29bc², which is older then commit
> 004ea62 (that fixed this issue).
>
> After we update "guix" package (either via updating "guix-devel"
> snapshot or via pointing "guix" to "guix-0.9.1" after the new release),
> this will be finally fixed.
>
> ¹ http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22550#38
> ² http://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/package-management.scm#n198

This issue should be completely fixed now (after commit 092dd65¹).
(Just to remind) the original issue is a request for auto-finding emacs
packages installed globally (in a system profile).

So, if you update your Emacs, it should automatically find emacs
packages (magit, etc.) installed both in user and system profiles.

To update Emacs, one need to:

1. If emacs is installed in a user profile:

  $ guix pull
  $ guix package --upgrade=emacs

2. If emacs is installed in a system profile:

  # guix pull
  # guix system reconfigure

¹ http://git.savannah.gnu.org/cgit/guix.git/commit/?id=092dd6541fc75ed19ebbb1f9d8e6f32a88cb3445

-- 
Alex